> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryprofound.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Optimization List



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/profound/openapi.documented.yml get /v1/content/{asset_id}/optimization
openapi: 3.1.0
info:
  title: External API
  version: fefde906c5e23fe9aa4945d75fabeb7896899c33
servers:
  - url: https://api.tryprofound.com
    description: Production Server
security: []
paths:
  /v1/content/{asset_id}/optimization:
    get:
      tags:
        - Content
        - beta
        - Content optimization
      summary: Optimization List
      operationId: optimization_list_v1_content__asset_id__optimization_get
      parameters:
        - name: asset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Asset Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50000
            exclusiveMinimum: 0
            description: Maximum number of results to return
            default: 10000
            title: Limit
          description: Maximum number of results to return
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Offset for pagination
            default: 0
            title: Offset
          description: Offset for pagination
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContentOptimizationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Profound from '@profoundai/client';

            const client = new Profound({
              apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
            });

            const optimizations = await client.content.optimization.list(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            );

            console.log(optimizations.data);
        - lang: Python
          source: |-
            import os
            from profound import Profound

            client = Profound(
                api_key=os.environ.get("PROFOUND_API_KEY"),  # This is the default and can be omitted
            )
            optimizations = client.content.optimization.list(
                asset_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(optimizations.data)
components:
  schemas:
    ContentOptimizationResponse:
      properties:
        info:
          $ref: '#/components/schemas/ContentOptimizationResponseInfo'
        data:
          items:
            $ref: '#/components/schemas/ContentOptimization'
          type: array
          title: Data
      type: object
      required:
        - info
        - data
      title: ContentOptimizationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ContentOptimizationResponseInfo:
      properties:
        total_rows:
          type: integer
          title: Total Rows
        query:
          $ref: '#/components/schemas/OptimizationQuery'
      type: object
      required:
        - total_rows
        - query
      title: ContentOptimizationResponseInfo
    ContentOptimization:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        title:
          type: string
          title: Title
        created_at:
          type: string
          format: date-time
          title: Created At
        extracted_input:
          anyOf:
            - type: string
            - type: 'null'
          title: Extracted Input
        type:
          $ref: '#/components/schemas/ContentType'
        status:
          type: string
          title: Status
      type: object
      required:
        - id
        - title
        - created_at
        - extracted_input
        - type
        - status
      title: ContentOptimization
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OptimizationQuery:
      properties:
        asset_id:
          type: string
          format: uuid
          title: Asset Id
        pagination:
          $ref: '#/components/schemas/Pagination'
          description: >-
            Pagination parameters for the results. Default is 10,000 rows with
            no offset.
      type: object
      required:
        - asset_id
      title: OptimizationQuery
    ContentType:
      type: string
      enum:
        - file
        - text
        - url
      title: ContentType
    Pagination:
      properties:
        limit:
          type: integer
          maximum: 50000
          exclusiveMinimum: 0
          title: Limit
          description: >-
            Maximum number of results to return. Default is 10,000, maximum is
            50,000.
          default: 10000
        offset:
          type: integer
          minimum: 0
          title: Offset
          description: Offset for the results. Used for pagination.
          default: 0
      type: object
      title: Pagination
      description: Offset-based pagination parameters.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    BearerAuth:
      type: http
      scheme: bearer

````